Show / Hide Table of Contents

# Class ConnectionDetailsExtensions

Extension methods for the ConnectionDetails contract class

##### Inheritance

System.Object
ConnectionDetailsExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public static class ConnectionDetailsExtensions

### Methods

| Improve this Doc View Source

#### Clone(ConnectionDetails)

Create a copy of a connection details object.

##### Declaration

    public static ConnectionDetails Clone(this ConnectionDetails details)

##### Parameters

Type | Name | Description
--- | --- | ---
ConnectionDetails | details |

##### Returns

Type | Description
--- | ---
ConnectionDetails |